Bug 1662766 - [abrt] NetworkManager: nm_clear_g_source(): nmcli killed by SIGSEGV
Summary: [abrt] NetworkManager: nm_clear_g_source(): nmcli killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf919b61d75d994153b1a3ee3b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-01 19:34 UTC by Clemens Eisserer
Modified: 2019-01-04 02:57 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.12.6-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-04 02:57:08 UTC


Attachments (Terms of Use)
File: backtrace (29.32 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: cgroup (349 bytes, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: core_backtrace (12.80 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: dso_list (3.99 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: environ (3.92 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: exploitable (82 bytes, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: maps (23.86 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: mountinfo (3.73 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: open_fds (597 bytes, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2019-01-01 19:34 UTC, Clemens Eisserer
no flags Details

Description Clemens Eisserer 2019-01-01 19:34:11 UTC
Description of problem:
when i entered save or activate (can't remeber for sure), nmcli crashed

Version-Release number of selected component:
1:NetworkManager-1.12.6-3.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        nmcli connection edit Blue_Sky 2
crash_function: nm_clear_g_source
executable:     /usr/bin/nmcli
journald_cursor: s=eaeefaceb3e8433ea733184905d8f079;i=14ea9;b=d76beced296f4d8b93e3091f226b6484;m=3c1791124;t=57e6a8f44bc41;x=1eb22ef552fb4c6a
kernel:         4.19.10-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nm_clear_g_source at ./shared/nm-utils/nm-macros-internal.h:882
 #1 dispose at libnm/nm-object.c:1243
 #4 gs_local_obj_unref at ./shared/nm-utils/gsystem-local-alloc.h:63
 #5 progress_activation_editor_cb at clients/cli/connections.c:6527
 #10 g_main_context_iteration at gmain.c:3981
 #11 nmc_readline_helper at clients/cli/common.c:854
 #12 nmc_readline at clients/cli/common.c:923
 #13 editor_menu_main at clients/cli/connections.c:7726
 #14 do_connection_edit at clients/cli/connections.c:8125
 #15 call_cmd at clients/cli/common.c:1207

Comment 1 Clemens Eisserer 2019-01-01 19:34:16 UTC
Created attachment 1517782 [details]
File: backtrace

Comment 2 Clemens Eisserer 2019-01-01 19:34:18 UTC
Created attachment 1517783 [details]
File: cgroup

Comment 3 Clemens Eisserer 2019-01-01 19:34:20 UTC
Created attachment 1517784 [details]
File: core_backtrace

Comment 4 Clemens Eisserer 2019-01-01 19:34:21 UTC
Created attachment 1517785 [details]
File: cpuinfo

Comment 5 Clemens Eisserer 2019-01-01 19:34:23 UTC
Created attachment 1517786 [details]
File: dso_list

Comment 6 Clemens Eisserer 2019-01-01 19:34:25 UTC
Created attachment 1517787 [details]
File: environ

Comment 7 Clemens Eisserer 2019-01-01 19:34:27 UTC
Created attachment 1517788 [details]
File: exploitable

Comment 8 Clemens Eisserer 2019-01-01 19:34:28 UTC
Created attachment 1517789 [details]
File: limits

Comment 9 Clemens Eisserer 2019-01-01 19:34:31 UTC
Created attachment 1517790 [details]
File: maps

Comment 10 Clemens Eisserer 2019-01-01 19:34:33 UTC
Created attachment 1517791 [details]
File: mountinfo

Comment 11 Clemens Eisserer 2019-01-01 19:34:34 UTC
Created attachment 1517792 [details]
File: open_fds

Comment 12 Clemens Eisserer 2019-01-01 19:34:36 UTC
Created attachment 1517793 [details]
File: proc_pid_status

Comment 14 Fedora Update System 2019-01-02 08:51:23 UTC
NetworkManager-1.12.6-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-796307c708

Comment 15 Fedora Update System 2019-01-03 05:07:29 UTC
NetworkManager-1.12.6-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-796307c708

Comment 16 Fedora Update System 2019-01-04 02:57:08 UTC
NetworkManager-1.12.6-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.